%define name 	matchbox-window-manager
%define version 1.2

%define enable_drakx_version 0

%{?_with_drakx: %global enable_drakx_version 1}

Summary: 	Window manager for the Matchbox Desktop
Name: 		%name
Version: 	%version
Release: 	%mkrel 17
Url: 		http://projects.o-hand.com/matchbox/
License: 	GPLv2+
Group: 		Graphical desktop/Other
Source0: 	http://projects.o-hand.com/matchbox/sources/%name/%version/%{name}-%{version}.tar.bz2
#specific theme for installer
Source1:	matchbox-ia_ora.tar.bz2
Source2:	30-start-matchbox.xsetup
Source3:	80-stop-matchbox.xsetup
# (fc) 1.2-2mdv various bug fixes from SVN
Patch0:		matchbox-window-manager-1.2-svnfixes.patch
# (fc) 1.2-2mdv various customizations for DrakX
Patch1:		matchbox-window-manager-1.2-drakx.patch
# (fc) 1.2-3mdv extend theme for separate decorations for modal dialogs
Patch2:		matchbox-window-manager-1.2-modal.patch
Patch3:		matchbox-window-manager-1.2-lm.patch
Patch4:		matchbox-1.2-automake-1.13.patch
BuildRequires:	pkgconfig libmatchbox-devel expat-devel 
BuildRequires:	startup-notification-devel libXsettings-client-devel
BuildRequires:	libGConf2-devel
BuildRequires:  libxcomposite-devel
BuildRequires:  libxdamage-devel
BuildRequires:  autoconf
Requires(preun):GConf2

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

This package contains the window manager from Matchbox.

%package -n drakx-installer-matchbox
Summary:	Customized version of Matchbox for DrakX installer
Group:		Graphical desktop/Other

%description -n drakx-installer-matchbox
Customized version of Matchbox Window Manager for DrakX installer

%prep
%setup -q
%apply_patches

%build
autoreconf
[ -d standard ] || mkdir standard
cd standard
CONFIGURE_TOP=.. \
%configure2_5x --enable-expat --disable-composite \
--enable-gconf --enable-startup-notification

%make
cd -

[ -d drakx ] || mkdir drakx
cd drakx
CONFIGURE_TOP=.. \
CFLAGS="%optflags -DDRAKX_VERSION" %configure2_5x --enable-expat --enable-composite \
--disable-session --disable-keyboard --disable-ping-protocol --disable-xrm --disable-gconf --disable-startup-notification --disable-xsettings

%make
cd -

%install
cd standard
%makeinstall_std
cd -

#this file is ignored 
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/matchbox/kbdconfig

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/xsetup.d/

install -m755 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xsetup.d/

tar -x -C $RPM_BUILD_ROOT -f %{SOURCE1}

install -m 755 drakx/src/matchbox-window-manager $RPM_BUILD_ROOT%{_bindir}/drakx-matchbox-window-manager

%define schemas matchbox

%if !%{enable_drakx_version}
%preun
%preun_uninstall_gconf_schemas %{schemas}
%endif

%files
%doc AUTHORS README ChangeLog
%_sysconfdir/gconf/schemas/matchbox.schemas
%_bindir/matchbox*
%_datadir/matchbox/*
%_datadir/themes/*
%exclude %_datadir/themes/Ia*Ora*Smooth

%files -n drakx-installer-matchbox
%_sysconfdir/X11/xsetup.d/*.xsetup
%_bindir/drakx-matchbox-window-manager
%_datadir/themes/Ia*Ora*Smooth
%_datadir/matchbox/*


%changelog

* Sat Jan 19 2013 fwang <fwang> 1.2-17.mga3
+ Revision: 389774
- fix build with latest automake

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 rtp <rtp> 1.2-16.mga3
+ Revision: 302832
- fix build

* Tue Feb 08 2011 pterjan <pterjan> 1.2-15.mga1
+ Revision: 49255
- Drop old stuff and fix license
- imported package matchbox-window-manager

